# Redis Actions

* [Delete All Redis Keys](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_delete_all_keys/README.md) : Delete All Redis keys
* [Delete Redis Keys](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_delete_keys/README.md) : Delete Redis keys matching pattern
* [Delete Redis Unused keys](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_delete_stale_keys/README.md) : Delete Redis Unused keys given a time threshold in seconds
* [Get Redis Handle](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_get_handle/README.md) : Get Redis Handle
* [Get Redis cluster health](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_get_cluster_health/README.md) : This action gets the Redis cluster health.
* [Get Redis keys count](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_get_keys_count/README.md) : Get Redis keys count matching pattern (default: '\*')
* [Get Redis metrics](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_get_metrics/README.md) : This action fetched redis metrics like index size, memory utilization.
* [List Redis Large keys](https://github.com/unskript/Awesome-CloudOps-Automation/Redis/legos/redis_list_large_keys/README.md) : Find Redis Large keys given a size threshold in bytes


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/redis/action_redis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
